<?php
	include("../../conexion.php");
	if($_REQUEST['id']=="" || $_REQUEST['tab']=="")
	{
		header("location:asesoramiento.php");
	}
	$idFil=substr($_REQUEST['id'],0,strpos($_REQUEST['id'],"."));
	$idAl=substr($_REQUEST['id'],strpos($_REQUEST['id'],".")+1);
	switch($_REQUEST['tab'])
	{
		case 4:
			$consulta=mysql_query("SELECT * FROM historial WHERE id=".$idFil, $conexion);
			$fila=mysql_fetch_array($consulta);
			for($i=1;$i<6;$i++)
			{
				if($fila['observacionesDoc'.$i]!="")
				{
					unlink("documentos/historial/".$fila['observacionesDoc'.$i]);
				}
			}
			mysql_query("DELETE FROM historial WHERE id=".$idFil);
			header("location:historial.php?id=".$idAl);
			break;
		case 5:
			$consulta=mysql_query("SELECT * FROM obsevaluaciones WHERE id=".$idFil, $conexion);
			$fila=mysql_fetch_array($consulta);
			
			$evaluaciones=array ("Inicial","Primera","Segunda","Tercera","Final","Extraordinaria");
			for($i=0;$i<6;$i++)
			{
				for($j=1;$j<6;$j++)
				{
					if($fila['Ev'.$evaluaciones[$i].'Doc'.$j]!="")
					{
						unlink("documentos/expediente/".$fila['Ev'.$evaluaciones[$i].'Doc'.$j]);
					}
				}		
			}
			mysql_query("DELETE FROM obsevaluaciones WHERE id=".$idFil);
			header("location:expediente.php?id=".$idAl);
			break;
		case 6:
			$consulta=mysql_query("SELECT * FROM entrevistas WHERE id=".$idFil, $conexion);
			$fila=mysql_fetch_array($consulta);
			for($i=1;$i<6;$i++)
			{
				if($fila['resumenDoc'.$i]!="")
				{
					unlink("documentos/entrevista/".$fila['resumenDoc'.$i]);
				}
			}
			mysql_query("DELETE FROM entrevistas WHERE id=".$idFil);
			header("location:entrevistas.php?id=".$idAl);
			break;
		case 7:
			$consulta=mysql_query("SELECT * FROM datospsicopedagogicos WHERE id=".$idFil, $conexion);
			$fila=mysql_fetch_array($consulta);
			for($i=1;$i<6;$i++)
			{
				if($fila['ResultadosDoc'.$i]!="")
				{
					unlink("documentos/datospsicopedagogicos/".$fila['ResultadosDoc'.$i]);
				}
			}
			mysql_query("DELETE FROM datospsicopedagogicos WHERE id=".$idFil);
			header("location:datospsicopedagogicos.php?id=".$idAl);
			break;
		case 8:
			$consulta=mysql_query("SELECT * FROM comportamiento WHERE id=".$idFil, $conexion);
			$fila=mysql_fetch_array($consulta);
			for($i=1;$i<6;$i++)
			{
				if($fila['ProblemasDoc'.$i]!="")
				{
					unlink("documentos/comportamiento/".$fila['ProblemasDoc'.$i]);
				}
			}
			mysql_query("DELETE FROM comportamiento WHERE id=".$idFil);
			header("location:comportamiento.php?id=".$idAl);
			break;
	}
?>
